Debian Bug report logs - #346282
OO.O-common: conffile prompts on upgrade

version graph

Package: openoffice.org-common; Maintainer for openoffice.org-common is Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>; Source for openoffice.org-common is src:openoffice.org.

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Fri, 6 Jan 2006 19:33:07 UTC

Severity: important

Found in versions 2.0.3-6, openoffice.org-common/2.0.1-5, openoffice.org-common/2.0.0-5

Fixed in versions openoffice.org/1:2.4.1-6, openoffice.org/2.0.3-3

Done: Rene Engelhard <rene@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Debian BTS Submission <submit@bugs.debian.org>
Subject: OO.O-common: conffile prompts on upgrade
Date: Fri, 6 Jan 2006 14:25:58 -0500
Package: openoffice.org-common
Version: 2.0.0-5
Severity: important
File: /etc/openoffice/psprint.conf
 /etc/openoffice/sofficerc

--- /etc/openoffice/psprint.conf        2004-11-16 19:10:00.000000000 -0500
+++ /etc/openoffice/psprint.conf.dpkg-dist      2005-12-10 02:46:23.000000000 -0500
@@ -42,7 +42,7 @@
 ;                          ARCHD, ARCHE, EnvMonarch, EnvC4, EnvC5, EnvC6,
 ;                          Env10, EnvC65, Folio
 ;         if key is absent the default value is driver specific
-PPD_PageSize=Letter
+; PPD_PageSize=A4
 
 ; Note: the following two key types are in the global section to provide
 ;         defaults for newly added printers.


--- /etc/openoffice/sofficerc   2004-11-21 18:22:21.000000000 -0500
+++ /etc/openoffice/sofficerc.dpkg-new  2005-12-10 02:46:17.000000000 -0500
@@ -1,3 +1,5 @@
 [Bootstrap]
 Logo=1
-
+ProgressBarColor=215,7,81
+ProgressSize=-1,6
+ProgressPosition=-1,-1



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 346282@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>, 346282@bugs.debian.org
Subject: Re: Bug#346282: OO.O-common: conffile prompts on upgrade
Date: Fri, 6 Jan 2006 21:11:34 +0100
[Message part 1 (text/plain, inline)]
Hi,

Justin Pryzby wrote:
> Package: openoffice.org-common
> Version: 2.0.0-5
> Severity: important
> File: /etc/openoffice/psprint.conf
>  /etc/openoffice/sofficerc
> 
[ snip ]

Right. Which is because those conffiles changed between packages
(openoffice.org -> openoffice.org-common). I didn't find a description
anywhere of what to do in this case with conffiles... If you have one...

Regards,

Rene
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 346282@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Rene Engelhard <rene@debian.org>
Cc: 335276@bugs.debian.org, 346282@bugs.debian.org
Subject: Re: Bug#346282: OO.O-common: conffile prompts on upgrade
Date: Fri, 6 Jan 2006 15:31:08 -0500
On Fri, Jan 06, 2006 at 09:11:34PM +0100, Rene Engelhard wrote:
> Hi,
> 
> Justin Pryzby wrote:
> > Package: openoffice.org-common
> > Version: 2.0.0-5
> > Severity: important
> > File: /etc/openoffice/psprint.conf
> >  /etc/openoffice/sofficerc
> > 
> [ snip ]
> 
> Right. Which is because those conffiles changed between packages
> (openoffice.org -> openoffice.org-common). I didn't find a description
> anywhere of what to do in this case with conffiles... If you have one...
Yes, in fact I knew that OO had this problem, as witnessed on #335276.
Did you see:

    http://www.dpkg.org/ConffileHandling

In fact I tried to reproduce this conffile takeover prompt, and
failed.  Is there anything special I need to do?  Anything more
complicated than a package which Conflicts+Replaces another package,
both of which contain the conffile?

-- 
Clear skies,
Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 346282@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>, 346282@bugs.debian.org, 335276@bugs.debian.org
Subject: Re: Bug#346282: OO.O-common: conffile prompts on upgrade
Date: Fri, 6 Jan 2006 21:59:00 +0100
[Message part 1 (text/plain, inline)]
Hi,

Justin Pryzby wrote:
> Yes, in fact I knew that OO had this problem, as witnessed on #335276.
> Did you see:
> 
>     http://www.dpkg.org/ConffileHandling

Yes, and I use that. But that doesn't say anything for conffile which
moved between packages instead of move from one place in the fs to another.

Regards,

Rene
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 346282@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 335276@bugs.debian.org, 345112@bugs.debian.org, 304066@bugs.debian.org, 345113@bugs.debian.org, 346282@bugs.debian.org, 337992@bugs.debian.org
Subject: transferring ownership of conffile to avoid dpkg prompt; incomplete solution
Date: Wed, 25 Jan 2006 22:56:27 -0500
At least 4 major packages are presently affected by conffile prompts
during upgrades from Sarge to current testing, because the name of the
package owning some conffile changed.  When dpkg queries "what is the
md5sum of the old conffile", it probably looks only for md5sums of
files owned by the old package, and so finds nothing, and the usual
logic doesn't apply.

See also bullet 3 of Bill Allombert's message titled "Some bits of
experience gained from handling upgrade-reports"; this is a similar
situation:
  http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html

Bill's simple recipe is to remove the conffile in preinst if the
md5sum of the conffile matches that of the stable version.
http://dpkg.org/ has an even better example, which plays nicely even
for upgrades from versions not in the stable release; it works by
parsing the dpkg status database with sed (and not distinguising
between which package owns a conffile).

During preinst, status contains the old md5sums, and immediately
before calling postinst configure, new conffiles are put into place,
with a prompt if the current md5sum matches neither the stored value
nor the new value.

At the very least, I would expect no unnecessary conffile prompts on
upgrade from sarge to etch; so, I'm sending this now instead of
waiting for myself or someone else to come up with a more complete
solution.

Check out the minimal packages, conf-owner-transfer and
conf-owner-test, which you can use to help understand what is going
on:
  http://justinpryzby.com/debian/conf-owner-transfer_1.tar.gz

I note that it does not preserve conffile removal, and keybuk notes
that errors are not handled (for example, aborted abgrades).

# Start from a fresh state
sudo dpkg -P conf-owner-{test,transfer}

# Start with a single package "conf-owner-test" which owns the
# conffile /etc/confowner.conf; ignore the presence of the second
# package "conf-owner-transfer".
./debian/rules v1

# Build and install version 1.  Note that "conf-owner-transfer" either
# doesn't exist at version 1, or doesn't own the conffile.
dpkg-buildpackage -rfakeroot
sudo dpkg -i ../conf-owner-test_1_all.deb

# Increase the binary package version, and switch which binary package
# owns the conffile.  For simplity, I don't rename the directory.
./debian/rules v2

# Build and install version 2; note that both packages are installed
# in the same dpkg run.  Note the the conffile has been updated
# without prompting.  Repeat the process, after commenting out the
# "rm" line, and note how much nicer it was to not be prompted.
dpkg-buildpackage -rfakeroot
sudo dpkg -i  ../conf-owner-{test,transfer}_2_all.deb

-- 
Clear skies,
Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 346282@bugs.debian.org (full text, mbox):

From: <Bill.Allombert@math.u-bordeaux1.fr>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 346282@bugs.Debian.org
Subject: Re: transferring ownership of conffile to avoid dpkg prompt; incomplete solution
Date: Thu, 15 Jun 2006 11:46:41 +0200
On Wed, Jan 25, 2006 at 10:56:27PM -0500, Justin Pryzby wrote:
> At least 4 major packages are presently affected by conffile prompts
> during upgrades from Sarge to current testing, because the name of the
> package owning some conffile changed.  When dpkg queries "what is the
> md5sum of the old conffile", it probably looks only for md5sums of
> files owned by the old package, and so finds nothing, and the usual
> logic doesn't apply.
> 
> See also bullet 3 of Bill Allombert's message titled "Some bits of
> experience gained from handling upgrade-reports"; this is a similar
> situation:
>   http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html
> 
> Bill's simple recipe is to remove the conffile in preinst if the
> md5sum of the conffile matches that of the stable version.
> http://dpkg.org/ has an even better example, which plays nicely even
> for upgrades from versions not in the stable release; it works by
> parsing the dpkg status database with sed (and not distinguising
> between which package owns a conffile).

Hello Rene,

We really have to fix this problem before the release.

What can I do so that this bug is finally addressed ?
Would you accept a patch that remove the offending file in the preinst
if the md5sum match the sarge version ?

Cheers,
Bill.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 346282@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Bill.Allombert@math.u-bordeaux1.fr, 346282@bugs.Debian.org
Subject: Re: transferring ownership of conffile to avoid dpkg prompt; incomplete solution
Date: Thu, 15 Jun 2006 11:34:00 -0400
On Thu, Jun 15, 2006 at 11:46:41AM +0200, Bill.Allombert@math.u-bordeaux1.fr wrote:
> On Wed, Jan 25, 2006 at 10:56:27PM -0500, Justin Pryzby wrote:
> > At least 4 major packages are presently affected by conffile prompts
> > during upgrades from Sarge to current testing, because the name of the
> > package owning some conffile changed.  When dpkg queries "what is the
> > md5sum of the old conffile", it probably looks only for md5sums of
> > files owned by the old package, and so finds nothing, and the usual
> > logic doesn't apply.
> > 
> > See also bullet 3 of Bill Allombert's message titled "Some bits of
> > experience gained from handling upgrade-reports"; this is a similar
> > situation:
> >   http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html
> > 
> > Bill's simple recipe is to remove the conffile in preinst if the
> > md5sum of the conffile matches that of the stable version.
> > http://dpkg.org/ has an even better example, which plays nicely even
> > for upgrades from versions not in the stable release; it works by
> > parsing the dpkg status database with sed (and not distinguising
> > between which package owns a conffile).
> 
> Hello Rene,
> 
> We really have to fix this problem before the release.
> 
> What can I do so that this bug is finally addressed ?
> Would you accept a patch that remove the offending file in the preinst
> if the md5sum match the sarge version ?
Were you able to reproduce the bug?  I tried briefly (with current
dpkg) and failed.  I suspect that upgrading dpkg first will solve the
problem; but, for etch, there should probably be a package-specific
"workarounds", so that users don't get prompted even if they don't
upgrade dpkg first (I don't know if this will be in the release notes,
or why it would be..).

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 346282@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Bill.Allombert@math.u-bordeaux1.fr, Ian Jackson <iwj@ubuntu.com>, 346282@bugs.debian.org, 345113@bugs.debian.org, 335276@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: transferring ownership of conffile to avoid dpkg prompt
Date: Mon, 19 Jun 2006 12:50:45 -0400
# openoffice:
found 346282 2.0.1-5

# openssh:
found 335276 1:4.2p1-8
thanks

# This seems to affect upgrades from sarge "mysql-server" but not
# "mysql-server-4.1":
reassign 345113 mysql-server-5.0
reopen 345113
found 345113 5.0.22-2

On Thu, Jun 15, 2006 at 11:34:00AM -0400, pryzbyj wrote:
> On Thu, Jun 15, 2006 at 11:46:41AM +0200, Bill.Allombert@math.u-bordeaux1.fr wrote:
> > On Wed, Jan 25, 2006 at 10:56:27PM -0500, Justin Pryzby wrote:
> > > At least 4 major packages are presently affected by conffile prompts
> > > during upgrades from Sarge to current testing, because the name of the
> > > package owning some conffile changed.  When dpkg queries "what is the
> > > md5sum of the old conffile", it probably looks only for md5sums of
> > > files owned by the old package, and so finds nothing, and the usual
> > > logic doesn't apply.
> > > 
> > > See also bullet 3 of Bill Allombert's message titled "Some bits of
> > > experience gained from handling upgrade-reports"; this is a similar
> > > situation:
> > >   http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html
> > > 
> > > Bill's simple recipe is to remove the conffile in preinst if the
> > > md5sum of the conffile matches that of the stable version.
> > > http://dpkg.org/ has an even better example, which plays nicely even
> > > for upgrades from versions not in the stable release; it works by
> > > parsing the dpkg status database with sed (and not distinguising
> > > between which package owns a conffile).
> > 
> > Hello Rene,
> > 
> > We really have to fix this problem before the release.
> > 
> > What can I do so that this bug is finally addressed ?
> > Would you accept a patch that remove the offending file in the preinst
> > if the md5sum match the sarge version ?
> Were you able to reproduce the bug?  I tried briefly (with current
> dpkg) and failed.  I suspect that upgrading dpkg first will solve the
> problem; but, for etch, there should probably be a package-specific
> "workarounds", so that users don't get prompted even if they don't
> upgrade dpkg first (I don't know if this will be in the release notes,
> or why it would be..).
The prompt is experienced for these three packages when upgrading with
the sarge dpkg, but not with current etch dpkg.  Upgrading dpkg wasn't
in the sarge release notes, only aptitude and doc-base were.  I don't
suppose openoffice can justify a predepency on dpkg (and even that
might not guarantee a new dpkg invocation before installing OOO).
There's no reason to have to manually upgrade it; whatever packages
haven't fixed this yet should still do so; etch+1 won't need such
things, since dpkg will be guaranteed to be of a sufficiently recent
version.

Please see jadetex as an example of how to implement this using dpkg
error handling rollbacks, too.  You should probably run sed on the
dpkg status database instead of using a hardcoded value, though.

BTW, it occurs to me that the dpkg "obsolete" field destroys most
peoples' md5sum extraction from the status file, since dpkg.org
recommends s/.* //, the md5sum will be "obsolete".  I'm not sure when
this interaction will happen, but it means alot of scripts are
broken..  Note that people using awk '{print $2}' or cut -d' ' -f3 or
whatever will get the right result.  I don't know if this matters much
in practice, since I guess dpkg will handle the removal automatically.
I suspect that it won't do the right thing on conffile "move" though I
don't have an example.

Justin



Bug marked as found in version 2.0.1-5. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 346282@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 346282@bugs.debian.org, 346282-submitter@bugs.debian.org, Bill.Allombert@math.u-bordeaux1.fr
Cc: control@bugs.debian.org
Subject: fixed
Date: Wed, 19 Jul 2006 00:51:15 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tag 346282 + pending
thanks

Hi,

looks fixed. will be in the next packages.
(http://arch.debian.org/cgi-bin/archzoom.cgi/debian-openoffice@lists.debian.org--packages/openofficeorg--unstable--2.0.3--patch-104?template=plain?log)

Regards,

Rene
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEvWXi+FmQsCSK63MRAhOCAJ9l6ZJ3WtmmixZ9hLhrOC73ar8V6wCfRRuP
/zy0i0kJ0H7uN7rL8HYH8Js=
=zr/P
-----END PGP SIGNATURE-----



Tags added: pending Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug#346282. Full text and rfc822 format available.

Reply sent to Rene Engelhard <rene@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 346282-close@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 346282-close@bugs.debian.org
Subject: Bug#346282: fixed in openoffice.org 2.0.3-3
Date: Mon, 24 Jul 2006 03:51:11 -0700
Source: openoffice.org
Source-Version: 2.0.3-3

We believe that the bug you reported is fixed in the latest version of
openoffice.org, which is due to be installed in the Debian FTP archive:

libmythes-dev_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/libmythes-dev_2.0.3-3_i386.deb
openoffice.org-base_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-base_2.0.3-3_i386.deb
openoffice.org-calc_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-calc_2.0.3-3_i386.deb
openoffice.org-common_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-common_2.0.3-3_all.deb
openoffice.org-core_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-core_2.0.3-3_i386.deb
openoffice.org-dev-doc_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-dev-doc_2.0.3-3_all.deb
openoffice.org-dev_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-dev_2.0.3-3_i386.deb
openoffice.org-draw_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-draw_2.0.3-3_i386.deb
openoffice.org-evolution_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-evolution_2.0.3-3_i386.deb
openoffice.org-filter-so52_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-filter-so52_2.0.3-3_i386.deb
openoffice.org-gnome_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-gnome_2.0.3-3_i386.deb
openoffice.org-gtk-gnome_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-gtk-gnome_2.0.3-3_i386.deb
openoffice.org-gtk_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-gtk_2.0.3-3_i386.deb
openoffice.org-help-cs_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-cs_2.0.3-3_all.deb
openoffice.org-help-da_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-da_2.0.3-3_all.deb
openoffice.org-help-de_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-de_2.0.3-3_all.deb
openoffice.org-help-en-gb_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-en-gb_2.0.3-3_all.deb
openoffice.org-help-en-us_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-en-us_2.0.3-3_all.deb
openoffice.org-help-es_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-es_2.0.3-3_all.deb
openoffice.org-help-et_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-et_2.0.3-3_all.deb
openoffice.org-help-fr_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-fr_2.0.3-3_all.deb
openoffice.org-help-hu_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-hu_2.0.3-3_all.deb
openoffice.org-help-it_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-it_2.0.3-3_all.deb
openoffice.org-help-ja_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-ja_2.0.3-3_all.deb
openoffice.org-help-ko_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-ko_2.0.3-3_all.deb
openoffice.org-help-nl_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-nl_2.0.3-3_all.deb
openoffice.org-help-pt-br_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-pt-br_2.0.3-3_all.deb
openoffice.org-help-sv_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-sv_2.0.3-3_all.deb
openoffice.org-help-zh-cn_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-zh-cn_2.0.3-3_all.deb
openoffice.org-help-zh-tw_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-help-zh-tw_2.0.3-3_all.deb
openoffice.org-impress_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-impress_2.0.3-3_i386.deb
openoffice.org-java-common_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-java-common_2.0.3-3_all.deb
openoffice.org-kde_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-kde_2.0.3-3_i386.deb
openoffice.org-l10n-af_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-af_2.0.3-3_all.deb
openoffice.org-l10n-ar_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ar_2.0.3-3_all.deb
openoffice.org-l10n-be-by_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-be-by_2.0.3-3_all.deb
openoffice.org-l10n-bg_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-bg_2.0.3-3_all.deb
openoffice.org-l10n-bn_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-bn_2.0.3-3_all.deb
openoffice.org-l10n-br_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-br_2.0.3-3_all.deb
openoffice.org-l10n-bs_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-bs_2.0.3-3_all.deb
openoffice.org-l10n-ca_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ca_2.0.3-3_all.deb
openoffice.org-l10n-cs_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-cs_2.0.3-3_all.deb
openoffice.org-l10n-cy_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-cy_2.0.3-3_all.deb
openoffice.org-l10n-da_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-da_2.0.3-3_all.deb
openoffice.org-l10n-de_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-de_2.0.3-3_all.deb
openoffice.org-l10n-el_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-el_2.0.3-3_all.deb
openoffice.org-l10n-en-gb_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-en-gb_2.0.3-3_all.deb
openoffice.org-l10n-en-us_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-en-us_2.0.3-3_all.deb
openoffice.org-l10n-en-za_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-en-za_2.0.3-3_all.deb
openoffice.org-l10n-es_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-es_2.0.3-3_all.deb
openoffice.org-l10n-et_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-et_2.0.3-3_all.deb
openoffice.org-l10n-fa_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-fa_2.0.3-3_all.deb
openoffice.org-l10n-fi_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-fi_2.0.3-3_all.deb
openoffice.org-l10n-fr_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-fr_2.0.3-3_all.deb
openoffice.org-l10n-ga_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ga_2.0.3-3_all.deb
openoffice.org-l10n-gu-in_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-gu-in_2.0.3-3_all.deb
openoffice.org-l10n-he_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-he_2.0.3-3_all.deb
openoffice.org-l10n-hi-in_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-hi-in_2.0.3-3_all.deb
openoffice.org-l10n-hr_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-hr_2.0.3-3_all.deb
openoffice.org-l10n-hu_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-hu_2.0.3-3_all.deb
openoffice.org-l10n-it_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-it_2.0.3-3_all.deb
openoffice.org-l10n-ja_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ja_2.0.3-3_all.deb
openoffice.org-l10n-km_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-km_2.0.3-3_all.deb
openoffice.org-l10n-ko_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ko_2.0.3-3_all.deb
openoffice.org-l10n-lo_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-lo_2.0.3-3_all.deb
openoffice.org-l10n-lt_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-lt_2.0.3-3_all.deb
openoffice.org-l10n-lv_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-lv_2.0.3-3_all.deb
openoffice.org-l10n-mk_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-mk_2.0.3-3_all.deb
openoffice.org-l10n-ml-in_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ml-in_2.0.3-3_all.deb
openoffice.org-l10n-nb_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-nb_2.0.3-3_all.deb
openoffice.org-l10n-ne_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ne_2.0.3-3_all.deb
openoffice.org-l10n-nl_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-nl_2.0.3-3_all.deb
openoffice.org-l10n-nn_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-nn_2.0.3-3_all.deb
openoffice.org-l10n-nr_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-nr_2.0.3-3_all.deb
openoffice.org-l10n-pa-in_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-pa-in_2.0.3-3_all.deb
openoffice.org-l10n-pl_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-pl_2.0.3-3_all.deb
openoffice.org-l10n-pt-br_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-pt-br_2.0.3-3_all.deb
openoffice.org-l10n-ru_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ru_2.0.3-3_all.deb
openoffice.org-l10n-rw_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-rw_2.0.3-3_all.deb
openoffice.org-l10n-sk_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-sk_2.0.3-3_all.deb
openoffice.org-l10n-sl_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-sl_2.0.3-3_all.deb
openoffice.org-l10n-sr-cs_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-sr-cs_2.0.3-3_all.deb
openoffice.org-l10n-st_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-st_2.0.3-3_all.deb
openoffice.org-l10n-sv_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-sv_2.0.3-3_all.deb
openoffice.org-l10n-ta-in_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ta-in_2.0.3-3_all.deb
openoffice.org-l10n-te-in_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-te-in_2.0.3-3_all.deb
openoffice.org-l10n-tg_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-tg_2.0.3-3_all.deb
openoffice.org-l10n-th_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-th_2.0.3-3_all.deb
openoffice.org-l10n-ti-er_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ti-er_2.0.3-3_all.deb
openoffice.org-l10n-tn_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-tn_2.0.3-3_all.deb
openoffice.org-l10n-tr_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-tr_2.0.3-3_all.deb
openoffice.org-l10n-ts_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ts_2.0.3-3_all.deb
openoffice.org-l10n-vi_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-vi_2.0.3-3_all.deb
openoffice.org-l10n-xh_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-xh_2.0.3-3_all.deb
openoffice.org-l10n-zh-cn_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-zh-cn_2.0.3-3_all.deb
openoffice.org-l10n-zh-tw_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-zh-tw_2.0.3-3_all.deb
openoffice.org-l10n-zu_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-zu_2.0.3-3_all.deb
openoffice.org-math_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-math_2.0.3-3_i386.deb
openoffice.org-officebean_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-officebean_2.0.3-3_i386.deb
openoffice.org-writer_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-writer_2.0.3-3_i386.deb
openoffice.org_2.0.3-3.diff.gz
  to pool/main/o/openoffice.org/openoffice.org_2.0.3-3.diff.gz
openoffice.org_2.0.3-3.dsc
  to pool/main/o/openoffice.org/openoffice.org_2.0.3-3.dsc
openoffice.org_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/openoffice.org_2.0.3-3_i386.deb
python-uno_2.0.3-3_i386.deb
  to pool/main/o/openoffice.org/python-uno_2.0.3-3_i386.deb
ttf-opensymbol_2.0.3-3_all.deb
  to pool/main/o/openoffice.org/ttf-opensymbol_2.0.3-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 346282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rene Engelhard <rene@debian.org> (supplier of updated openoffice.org package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 23 Jul 2006 03:03:42 +0200
Source: openoffice.org
Binary: openoffice.org-gtk openoffice.org-help-es openoffice.org-l10n-ts openoffice.org-l10n-hr openoffice.org-l10n-zu openoffice.org-base openoffice.org-help-zh-cn openoffice.org-l10n-fr openoffice.org-l10n-zh-cn openoffice.org-l10n-es openoffice.org-l10n-zh-tw openoffice.org-l10n-ru openoffice.org-l10n-de openoffice.org-l10n-be-by openoffice.org-dev-doc openoffice.org-writer openoffice.org-l10n-lt openoffice.org-l10n-gu-in openoffice.org-help-en-gb openoffice.org-l10n-lo openoffice.org-l10n-da openoffice.org-kde openoffice.org-help-en-us openoffice.org-l10n-hu openoffice.org-help-et openoffice.org-l10n-sk openoffice.org-l10n-nn openoffice.org-help-da openoffice.org-l10n-ga openoffice.org-l10n-fa openoffice.org-l10n-bs openoffice.org-core openoffice.org-l10n-nb openoffice.org-l10n-ti-er openoffice.org-filter-so52 openoffice.org-l10n-ca ttf-opensymbol openoffice.org-l10n-pa-in openoffice.org-evolution openoffice.org-l10n-en-us openoffice.org-l10n-et openoffice.org-math openoffice.org-l10n-lv openoffice.org-l10n-bn openoffice.org-l10n-ko openoffice.org-help-zh-tw openoffice.org-l10n-km openoffice.org-l10n-en-za openoffice.org-l10n-tn openoffice.org-l10n-st openoffice.org-l10n-ne openoffice.org-l10n-en-gb openoffice.org-l10n-bg openoffice.org-l10n-el openoffice.org-calc python-uno openoffice.org-l10n-ja openoffice.org-l10n-ml-in openoffice.org-l10n-mk openoffice.org-l10n-pt-br openoffice.org openoffice.org-l10n-af openoffice.org-help-nl openoffice.org-l10n-tr openoffice.org-dev openoffice.org-help-cs openoffice.org-l10n-rw openoffice.org-l10n-pl openoffice.org-help-de openoffice.org-l10n-hi-in openoffice.org-gtk-gnome openoffice.org-l10n-te-in openoffice.org-help-pt-br openoffice.org-officebean openoffice.org-draw openoffice.org-l10n-it openoffice.org-java-common openoffice.org-help-it openoffice.org-l10n-sl openoffice.org-l10n-he openoffice.org-help-sv openoffice.org-l10n-ar openoffice.org-help-ja openoffice.org-l10n-br openoffice.org-help-fr openoffice.org-help-hu openoffice.org-common openoffice.org-help-ko openoffice.org-l10n-tg openoffice.org-l10n-fi openoffice.org-l10n-vi openoffice.org-l10n-cy openoffice.org-gnome openoffice.org-l10n-nl openoffice.org-l10n-ta-in openoffice.org-impress openoffice.org-l10n-sv openoffice.org-l10n-nr openoffice.org-l10n-th libmythes-dev openoffice.org-l10n-cs openoffice.org-l10n-xh openoffice.org-l10n-sr-cs
Architecture: all i386 source 
Version: 2.0.3-3
Distribution: unstable
Urgency: low
Maintainer: Debian OpenOffice Team <debian-openoffice@lists.debian.org>
Changed-By: Rene Engelhard <rene@debian.org>
Description: 
 libmythes-dev - simple thesaurus library (development files)
 openoffice.org - OpenOffice.org Office suite version 2.0
 openoffice.org-base - OpenOffice.org office suite - database
 openoffice.org-calc - OpenOffice.org office suite - spreadsheet
 openoffice.org-common - OpenOffice.org office suite architecture independent files
 openoffice.org-core - OpenOffice.org office suite architecture dependent files
 openoffice.org-dev - OpenOffice.org SDK -- development files
 openoffice.org-dev-doc - OpenOffice.org SDK -- documentation
 openoffice.org-draw - OpenOffice.org office suite - drawing
 openoffice.org-evolution - Evolution Addressbook support for OpenOffice.org
 openoffice.org-filter-so52 - StarOffice 5.2 format filters for OpenOffice.org
 openoffice.org-gnome - GNOME Integration for OpenOffice.org (VFS, GConf)
 openoffice.org-gtk - GTK Integration for OpenOffice.org (Widgets, Dialogs, Quickstarte
 openoffice.org-gtk-gnome - Transitional package to openoffice.org-gnome
 openoffice.org-help-cs - Czech help for OpenOffice.org
 openoffice.org-help-da - Danish help for OpenOffice.org
 openoffice.org-help-de - German help for OpenOffice.org
 openoffice.org-help-en-gb - English_british help for OpenOffice.org
 openoffice.org-help-en-us - English_american help for OpenOffice.org
 openoffice.org-help-es - Spanish help for OpenOffice.org
 openoffice.org-help-et - Estonian help for OpenOffice.org
 openoffice.org-help-fr - French help for OpenOffice.org
 openoffice.org-help-hu - Hungarian help for OpenOffice.org
 openoffice.org-help-it - Italian help for OpenOffice.org
 openoffice.org-help-ja - Japanese help for OpenOffice.org
 openoffice.org-help-ko - Korean help for OpenOffice.org
 openoffice.org-help-nl - Dutch help for OpenOffice.org
 openoffice.org-help-pt-br - Portuguese_brazilian help for OpenOffice.org
 openoffice.org-help-sv - Swedish help for OpenOffice.org
 openoffice.org-help-zh-cn - Chinese_simplified help for OpenOffice.org
 openoffice.org-help-zh-tw - Chinese_traditional help for OpenOffice.org
 openoffice.org-impress - OpenOffice.org office suite - presentation
 openoffice.org-java-common - OpenOffice.org office suite Java support arch. independent files
 openoffice.org-kde - KDE Integration for OpenOffice.org (Widgets, Dialogs, Addressbook
 openoffice.org-l10n-af - Afrikaans language package for OpenOffice.org
 openoffice.org-l10n-ar - Arabic language package for OpenOffice.org
 openoffice.org-l10n-be-by - Belarussian language package for OpenOffice.org
 openoffice.org-l10n-bg - Bulgarian language package for OpenOffice.org
 openoffice.org-l10n-bn - Bengali language package for OpenOffice.org
 openoffice.org-l10n-br - Breton language package for OpenOffice.org
 openoffice.org-l10n-bs - Bosnian language package for OpenOffice.org
 openoffice.org-l10n-ca - Catalan language package for OpenOffice.org
 openoffice.org-l10n-cs - Czech language package for OpenOffice.org
 openoffice.org-l10n-cy - Welsh language package for OpenOffice.org
 openoffice.org-l10n-da - Danish language package for OpenOffice.org
 openoffice.org-l10n-de - German language package for OpenOffice.org
 openoffice.org-l10n-el - Greek language package for OpenOffice.org
 openoffice.org-l10n-en-gb - English_british language package for OpenOffice.org
 openoffice.org-l10n-en-us - English_american language package for OpenOffice.org
 openoffice.org-l10n-en-za - English_southafrican language package for OpenOffice.org
 openoffice.org-l10n-es - Spanish language package for OpenOffice.org
 openoffice.org-l10n-et - Estonian language package for OpenOffice.org
 openoffice.org-l10n-fa - Farsi language package for OpenOffice.org
 openoffice.org-l10n-fi - Finnish language package for OpenOffice.org
 openoffice.org-l10n-fr - French language package for OpenOffice.org
 openoffice.org-l10n-ga - Gaelic language package for OpenOffice.org
 openoffice.org-l10n-gu-in - Gujarati language package for OpenOffice.org
 openoffice.org-l10n-he - Hebrew language package for OpenOffice.org
 openoffice.org-l10n-hi-in - Hindi language package for OpenOffice.org
 openoffice.org-l10n-hr - Croatian language package for OpenOffice.org
 openoffice.org-l10n-hu - Hungarian language package for OpenOffice.org
 openoffice.org-l10n-it - Italian language package for OpenOffice.org
 openoffice.org-l10n-ja - Japanese language package for OpenOffice.org
 openoffice.org-l10n-km - Khmer language package for OpenOffice.org
 openoffice.org-l10n-ko - Korean language package for OpenOffice.org
 openoffice.org-l10n-lo - Lao language package for OpenOffice.org
 openoffice.org-l10n-lt - Lithuanian language package for OpenOffice.org
 openoffice.org-l10n-lv - Latvian language package for OpenOffice.org
 openoffice.org-l10n-mk - Macedonian language package for OpenOffice.org
 openoffice.org-l10n-ml-in - Malayalam language package for OpenOffice.org
 openoffice.org-l10n-nb - Norwegian language package for OpenOffice.org
 openoffice.org-l10n-ne - Nepalese language package for OpenOffice.org
 openoffice.org-l10n-nl - Dutch language package for OpenOffice.org
 openoffice.org-l10n-nn - Norwegian_nynorsk language package for OpenOffice.org
 openoffice.org-l10n-nr - Ndebele language package for OpenOffice.org
 openoffice.org-l10n-pa-in - Punjabi language package for OpenOffice.org
 openoffice.org-l10n-pl - Polish language package for OpenOffice.org
 openoffice.org-l10n-pt-br - Portuguese_brazilian language package for OpenOffice.org
 openoffice.org-l10n-ru - Russian language package for OpenOffice.org
 openoffice.org-l10n-rw - Kinarwanda language package for OpenOffice.org
 openoffice.org-l10n-sk - Slovak language package for OpenOffice.org
 openoffice.org-l10n-sl - Slovenian language package for OpenOffice.org
 openoffice.org-l10n-sr-cs - Serbian language package for OpenOffice.org
 openoffice.org-l10n-st - Southern_sotho language package for OpenOffice.org
 openoffice.org-l10n-sv - Swedish language package for OpenOffice.org
 openoffice.org-l10n-ta-in - Tamil language package for OpenOffice.org
 openoffice.org-l10n-te-in - Telugu language package for OpenOffice.org
 openoffice.org-l10n-tg - Tajik language package for OpenOffice.org
 openoffice.org-l10n-th - Thai language package for OpenOffice.org
 openoffice.org-l10n-ti-er - Tigrinya language package for OpenOffice.org
 openoffice.org-l10n-tn - Tswana language package for OpenOffice.org
 openoffice.org-l10n-tr - Turkish language package for OpenOffice.org
 openoffice.org-l10n-ts - Tsonga language package for OpenOffice.org
 openoffice.org-l10n-vi - Vietnamese language package for OpenOffice.org
 openoffice.org-l10n-xh - Xhosa language package for OpenOffice.org
 openoffice.org-l10n-zh-cn - Chinese_simplified language package for OpenOffice.org
 openoffice.org-l10n-zh-tw - Chinese_traditional language package for OpenOffice.org
 openoffice.org-l10n-zu - Zulu language package for OpenOffice.org
 openoffice.org-math - OpenOffice.org office suite - equation editor
 openoffice.org-officebean - OpenOffice.org Office Bean
 openoffice.org-writer - OpenOffice.org office suite - word processor
 python-uno - Python interface for OpenOffice.org
 ttf-opensymbol - The OpenSymbol TrueType font
Closes: 346282 351229 377186 377261 377531 377852
Changes: 
 openoffice.org (2.0.3-3) unstable; urgency=low
 .
   * ooo-build:
     - patches/src680/vcl-glyph-cjk-embolden.diff: properly conditionalize
       so that our configure check has sense and this works on sarge
     - patches/scsolver/scsolver-source-service-service-cxx.diff:
       fix g++ 3.3 build
   * debian/rules:
     - fix ibm JDK build-dep
     - reenable system-neon
     - build unowinreg.dll using i586-mingw32msvc-gcc and install it
       (closes: #377531); build-depend on mingw32
     - run dh_makeshlibs using -n to not get useless ldconfig calls, thanks
       lintian
     - don't install .testtoolrc when not packaging the testtool; install it
       with 644 (thanks lintian) into -qa-tools instead of -common
     - move jar.sos from <oodir>/program/classes-native to
       /usr/lib/gcj-$(GCJ_VERSION); still not working, though :/
     - move libflash and libsvgfilter to draw, export filters only used
       there (and impress where flash makes most sense if at all depends on
       -draw anyway...)
     - clean up README installation (closes: #351229)
   * debian/control.in:
     - add missing %CONTRIB% at -gtk...
     - improve grammar in python-unos description, thanks Thue Janus Kristensen
       (closes: #377186)
     - add conflicts against -writer, -calc etc (<< ${base-version}) at -core
       and -common (closes: #377852); bump depends at -writer, -calc etc to
       depend on 2.0.3-2 with the border/{check,radio}boxes fix
     - build-conflict against dmake 4.5 version in experimental
     - make openoffice.org-gtk-gnome Architecture: i386 powerpc sparc %AMD64%
       to not show this on archs which never had a openoffice.org-gtk-gnome
     - move conflict against ooqstart-gnome from -gnome to -gtk
     - mention Quickstarter in -gtks description
   * debian/rules, debian/shell-lib.sh, debian/openoffice.org.*.in,
     debian/ttf-opensymbol.*.in:
     - clean up maintainer scripts and their generation. As a side effect this
       closes: #377261
     - update *rm_conffile* functions; add openoffice.org.{pre,post}.inst.in to
       remove psprint.conf and sofficrc if unchanged; fixes needless conffile
       prompts because those conffiles moved from openoffice.org to
       opanoffice.org-common (closes: #346282), thanks Justin Przyby and
       Bill Allombert
   * debian/openoffice.org-core.shlibs.local: add, local shlibs setting nothing
   * debian/openoffice.org-gtk.overrides.lintian: add, also override
     binary-or-shlib-defines-rpath for -gtk
   * debian/README.Debian: s/irc.freenode.net/irc.debian.org/
Files: 
 02a6aa4ad76578c53e28a7a18153667c 378736 kde optional openoffice.org-kde_2.0.3-3_i386.deb
 02ad15631f6647d5ad03ed059b65a77d 858340 editors optional openoffice.org-l10n-tg_2.0.3-3_all.deb
 0571e12830ff977fd6fd301694933769 808590 editors optional openoffice.org-l10n-bn_2.0.3-3_all.deb
 08fb6d9b28ffbe62db0c5b4217c07ef4 881394 editors optional openoffice.org-l10n-te-in_2.0.3-3_all.deb
 0939fcc5d90706fc440f01cb75865aad 1334380 editors optional openoffice.org-l10n-tr_2.0.3-3_all.deb
 0deadd81d77d8b2d09134737fcfe7991 803984 editors optional openoffice.org-l10n-et_2.0.3-3_all.deb
 130de83554d3e3815299e422d7c390fc 2031202 editors optional openoffice.org-l10n-bg_2.0.3-3_all.deb
 182299558e51910cadd120059d2d4aa4 5052842 doc optional openoffice.org-dev-doc_2.0.3-3_all.deb
 18a95abe15c9651a835e2d938ab89501 11508540 doc optional openoffice.org-help-es_2.0.3-3_all.deb
 1aa0418824e479e4d0129bc3fc48130f 1931136 editors optional openoffice.org-l10n-pl_2.0.3-3_all.deb
 1d2aa685533d30bed80bbc5848992947 866516 editors optional openoffice.org-l10n-sr-cs_2.0.3-3_all.deb
 214f5c8681f5b2ff6d95a8aec4e552cc 1972512 editors optional openoffice.org-l10n-en-gb_2.0.3-3_all.deb
 230c98a1c46d47bcde206864a8ec37a3 852074 editors optional openoffice.org-l10n-xh_2.0.3-3_all.deb
 23caf5d0f6bc911d3e4b9f05908c9e4e 821864 editors optional openoffice.org-l10n-fi_2.0.3-3_all.deb
 2504247aa3c910d7a63d4603364d4faf 831778 editors optional openoffice.org-l10n-st_2.0.3-3_all.deb
 265e7db08c0f8bfc04601b7dee462854 10756786 doc optional openoffice.org-help-en-us_2.0.3-3_all.deb
 268f0578d60f1193cf34d08c03d361fc 1990328 editors optional openoffice.org-l10n-cs_2.0.3-3_all.deb
 2770cc51400c36ed2d2cc62a3f6913e7 349268 gnome optional openoffice.org-gtk_2.0.3-3_i386.deb
 8cc1f0c88193a93281bfe93beabbc7f0 5379 editors optional openoffice.org_2.0.3-3.dsc
 2884f168de2003c8c60b7624212ecce4 837148 editors optional openoffice.org-l10n-nr_2.0.3-3_all.deb
 29019a588539e84d90ed74609870e9ba 11258332 doc optional openoffice.org-help-da_2.0.3-3_all.deb
 29de2bbd77e34138043d88c4e1ccd918 11646042 doc optional openoffice.org-help-nl_2.0.3-3_all.deb
 2dfb645e36d405c8cdf7a3645f8a0ace 1915230 editors optional openoffice.org-l10n-pt-br_2.0.3-3_all.deb
 2fdb314436e019d151474d8d77c95334 888246 editors optional openoffice.org-l10n-hi-in_2.0.3-3_all.deb
 305dff09240b495c87e85312b666dbc8 209492 misc optional openoffice.org-officebean_2.0.3-3_i386.deb
 320263e5b13b2b9a689e8e9d6613b60b 12079336 doc optional openoffice.org-help-de_2.0.3-3_all.deb
 368023c276a7206bb5ab44fa29825072 768166 editors optional openoffice.org-l10n-ti-er_2.0.3-3_all.deb
 38a875d7e6da658ec3f399eb49b37c3d 1984650 editors optional openoffice.org-l10n-ru_2.0.3-3_all.deb
 43bf385180d330843aa9016c056237e4 837666 editors optional openoffice.org-l10n-ta-in_2.0.3-3_all.deb
 44915b7ea7249625cc289d08c0ca2cff 12246840 doc optional openoffice.org-help-ja_2.0.3-3_all.deb
 45ea1f1760ad88d2def5e4c99778afa9 2143518 editors optional openoffice.org-draw_2.0.3-3_i386.deb
 47402941bd0856dd460fd62ec889d43d 1923082 editors optional openoffice.org-l10n-ko_2.0.3-3_all.deb
 48de798c760dfb32016da5f115efc442 2976994 editors optional openoffice.org-java-common_2.0.3-3_all.deb
 4ab0d6f073a5d4a31698972b4a0434f7 872242 editors optional openoffice.org-l10n-mk_2.0.3-3_all.deb
 4dbf3fdc598d164cdd526e54c8f1e6f8 828724 editors optional openoffice.org-l10n-ca_2.0.3-3_all.deb
 4dd47fe4068178c4331a95074533c24c 7936926 misc optional openoffice.org-filter-so52_2.0.3-3_i386.deb
 4e1ad346c0806b6a674bce69ddda31cf 2062298 editors optional openoffice.org-l10n-ja_2.0.3-3_all.deb
 4e3d9064515891013aaf4a4d2902a5d0 1900978 editors optional openoffice.org-l10n-es_2.0.3-3_all.deb
 4e73d935fdfd709a977eb3db9964485a 61850991 editors optional openoffice.org_2.0.3-3.diff.gz
 545e42645544b3012f26fff6ada39b07 12002818 doc optional openoffice.org-help-hu_2.0.3-3_all.deb
 5543268b721bca6a3e9addb6117f9b47 11701562 doc optional openoffice.org-help-fr_2.0.3-3_all.deb
 55f7879d1615c267d9eadb4f343ed7ef 3349004 devel optional openoffice.org-dev_2.0.3-3_i386.deb
 56274aa04d62ff7dd341f65543e74d7c 251246 gnome optional openoffice.org-evolution_2.0.3-3_i386.deb
 56335b6238642b3994a5d2263a4a4812 255982 gnome optional openoffice.org-gnome_2.0.3-3_i386.deb
 5a1b016447ac68419674206315f89239 735464 editors optional openoffice.org-impress_2.0.3-3_i386.deb
 5c3bfe37a028ded0453000032ab49ef9 876472 editors optional openoffice.org-l10n-ne_2.0.3-3_all.deb
 5ce97519aeb7e0887060fd10fbb76f34 29463390 editors optional openoffice.org-core_2.0.3-3_i386.deb
 680f3384d01fd0eeac8f64b960e69849 1994978 editors optional openoffice.org-l10n-sk_2.0.3-3_all.deb
 69dc69256bb825a542638f4567d837f9 802186 editors optional openoffice.org-l10n-cy_2.0.3-3_all.deb
 6a3c6bf3dc652ec81bf0f5ee5259666e 170774 gnome optional openoffice.org-gtk-gnome_2.0.3-3_i386.deb
 6a87fa207096bd8f22e61e89d7eb7054 1890748 editors optional openoffice.org-l10n-sv_2.0.3-3_all.deb
 6b9e21172282dde5009d15c465899fd7 836112 editors optional openoffice.org-l10n-he_2.0.3-3_all.deb
 6e8a5fe06908404e42c12172e2f78a54 855970 editors optional openoffice.org-l10n-lo_2.0.3-3_all.deb
 755f06debcc83f09d667df7bba0711af 11490656 doc optional openoffice.org-help-it_2.0.3-3_all.deb
 7873374657f1902842b1b1918d62d2c1 2007816 editors optional openoffice.org-l10n-zh-tw_2.0.3-3_all.deb
 79447628fee509bde25a917dbd7090c9 10703050 doc optional openoffice.org-help-en-gb_2.0.3-3_all.deb
 80b39921aba06ad7e41f1c4774c63cce 4241350 editors optional openoffice.org-calc_2.0.3-3_i386.deb
 867d124496e4ac9aa5fe39ffb1bc6746 886652 editors optional openoffice.org-l10n-th_2.0.3-3_all.deb
 87567afb4f4294778d1f0d04439e6f58 806932 editors optional openoffice.org-l10n-af_2.0.3-3_all.deb
 89ed7fc2106c10d572edfb09476bf0f2 827028 editors optional openoffice.org-l10n-lt_2.0.3-3_all.deb
 92bf10d0be8ae613113a9e301ced1358 242728 x11 optional ttf-opensymbol_2.0.3-3_all.deb
 92eef177a359e7314f943eff4ad83253 650146 editors optional openoffice.org-l10n-en-us_2.0.3-3_all.deb
 9671b3bc7586b1567528351b9fe377f2 1914504 editors optional openoffice.org-l10n-fr_2.0.3-3_all.deb
 9be035bf5dc1621964c5a350de89017e 11433066 doc optional openoffice.org-help-ko_2.0.3-3_all.deb
 9ff40acbccdeeda4a2d7ca4ee8452b1e 820154 editors optional openoffice.org-l10n-bs_2.0.3-3_all.deb
 a3cf6f88c54eccf142b51cdcf5f0b916 463972 editors optional openoffice.org-math_2.0.3-3_i386.deb
 a4d14c7d23dd4d6dcfaa2cee0f1442a6 11468500 doc optional openoffice.org-help-et_2.0.3-3_all.deb
 a6032d6e95eb7f120ce746f1b65f9553 11725520 doc optional openoffice.org-help-zh-cn_2.0.3-3_all.deb
 a7b4629736b0c0d0a283dfba8511d3b1 822318 editors optional openoffice.org-l10n-fa_2.0.3-3_all.deb
 a8c02b1640e05415e5b31c07ff1e8714 315074 python optional python-uno_2.0.3-3_i386.deb
 acf7dd088ddd57c6bcebc74c13052d6e 11306898 doc optional openoffice.org-help-sv_2.0.3-3_all.deb
 ae0fbb7d4ab10e7cd9438ff0c870c129 11866486 doc optional openoffice.org-help-zh-tw_2.0.3-3_all.deb
 ae8c7c37ecf9b2b9b29ffc61f6ca6f8a 1919250 editors optional openoffice.org-l10n-da_2.0.3-3_all.deb
 b1bb76973b34fc423fa88345b3d474c8 1977590 editors optional openoffice.org-l10n-nl_2.0.3-3_all.deb
 baa20c1ded9e9a8891fecece4b292b77 1921560 editors optional openoffice.org-l10n-de_2.0.3-3_all.deb
 bc5a91588c9bd80b621ece3dc8a2ac2a 2015934 editors optional openoffice.org-l10n-zh-cn_2.0.3-3_all.deb
 bddaffae01835d8a8433c4ce3615b177 876118 editors optional openoffice.org-l10n-ml-in_2.0.3-3_all.deb
 c0df7384131ffcfd688ad44885be0469 814328 editors optional openoffice.org-l10n-rw_2.0.3-3_all.deb
 c305f760c600e461a89acbcfca4451fc 805540 editors optional openoffice.org-l10n-nn_2.0.3-3_all.deb
 c3edd00c824a57c586f13be649c326ea 822144 editors optional openoffice.org-l10n-hr_2.0.3-3_all.deb
 c439e80adc08b4fd56edcad4b0e4b8ce 105834 libdevel optional libmythes-dev_2.0.3-3_i386.deb
 c5dcf43ab58263f3a392af90dbcc0032 825928 editors optional openoffice.org-l10n-lv_2.0.3-3_all.deb
 c65f6d60371db463d53a73f617671bfc 850146 editors optional openoffice.org-l10n-ar_2.0.3-3_all.deb
 c661c3d8cf36b60dfb0140e39ce8bf4f 765468 editors optional openoffice.org-l10n-en-za_2.0.3-3_all.deb
 d30b1c141203b4ede628162571aa9686 865394 editors optional openoffice.org-l10n-be-by_2.0.3-3_all.deb
 d3b5c461671eb779e78610531c33ec46 832870 editors optional openoffice.org-l10n-ts_2.0.3-3_all.deb
 d433d79eb645fa2954c30d7490d4a58a 806436 editors optional openoffice.org-l10n-nb_2.0.3-3_all.deb
 d56652e24c1ccdc330507b03a22414cb 2027398 editors optional openoffice.org-l10n-hu_2.0.3-3_all.deb
 d798c9e87a2194e4750a1cdc7079f8d1 837112 editors optional openoffice.org-l10n-zu_2.0.3-3_all.deb
 da5d09398ccbe9008ea2a6719edeb0dd 3031438 editors optional openoffice.org-base_2.0.3-3_i386.deb
 e1abf9ad94ccf8405d7022220959f9f3 874890 editors optional openoffice.org-l10n-gu-in_2.0.3-3_all.deb
 e33693e0d4532471f5299f7196e07c30 11478034 doc optional openoffice.org-help-pt-br_2.0.3-3_all.deb
 e3a2348b106aaad184e73a4f8be0793f 1901950 editors optional openoffice.org-l10n-it_2.0.3-3_all.deb
 e70a3df2ad0f5bbcd85db99a515020f7 26902632 editors optional openoffice.org-common_2.0.3-3_all.deb
 e92cd0a08e60e17ff8457843c0b1318b 1950816 editors optional openoffice.org-l10n-sl_2.0.3-3_all.deb
 e9a16d91745a2b2ed3095e672d9e1c13 817356 editors optional openoffice.org-l10n-br_2.0.3-3_all.deb
 e9d3aabc1d707f715e1dd623fe130c25 4930902 editors optional openoffice.org-writer_2.0.3-3_i386.deb
 ed6f25a8a468ffa20316d731479cf62f 11309688 doc optional openoffice.org-help-cs_2.0.3-3_all.deb
 ede794a3d29fe419f3a67cbe877f5c5a 820152 editors optional openoffice.org-l10n-vi_2.0.3-3_all.deb
 ef2e0c1dbb52bdefd87b399f352e559d 174512 editors optional openoffice.org_2.0.3-3_i386.deb
 f0978c6d98bf7b15c062d91550614c64 911148 editors optional openoffice.org-l10n-el_2.0.3-3_all.deb
 f0a69615108989219a17bdd07ec619f3 830728 editors optional openoffice.org-l10n-ga_2.0.3-3_all.deb
 f2b109ac2a61e0f48c3c1d41444c1747 854438 editors optional openoffice.org-l10n-pa-in_2.0.3-3_all.deb
 f3504f8f05e5cc5f663103088bb8ac57 2068074 editors optional openoffice.org-l10n-km_2.0.3-3_all.deb
 f77757a4d2457fd5be332e916a1fc7c9 783924 editors optional openoffice.org-l10n-tn_2.0.3-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEw8En+FmQsCSK63MRArsGAKCCBrYIURSGSyc9IPAz+8/cjBY7lACeMlPk
WWcfnSSg9HKbHCI97yeKGHI=
=mGN1
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 346282@bugs.debian.org (full text, mbox):

From: <allomber@math.u-bordeaux.fr>
To: debian-dpkg@lists.debian.org
Cc: 346282@bugs.debian.org, 346282-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: fixed
Date: Sun, 17 Sep 2006 16:48:54 +0200
found 346282 2.0.3-6
quit
On Wed, Jul 19, 2006 at 12:51:15AM +0200, Rene Engelhard wrote:
> 
> Hi,
> 
> looks fixed. will be in the next packages.

Hello Rene,

I just checked and the bug still occur with 2.0.3-6:

   Setting up openoffice.org-common (2.0.3-6) ...

   Configuration file `/etc/openoffice/psprint.conf'
    ==> Deleted (by you or by a script) since installation.
    ==> Package distributor has shipped an updated version.
      What would you like to do about it ?  Your options are:

It seems dpkg (1.13.21) behaviour has changed since the bug was reported
and now it follows packages rename for conffiles. This mean it detects
we removed it and display that note.

This is very annoying because we do not know which version of dpkg
will be used and they have opposed behaviour in that case.

I don't if Depends: dpkg (>=1.13.21) would do any good either.

Maybe you could check dpkg version before removing the files...

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Bug marked as found in version 2.0.3-6. Request was from <allomber@math.u-bordeaux.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug#346282. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 346282@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: allomber@math.u-bordeaux.fr, 346282-quiet@bugs.debian.org
Cc: debian-dpkg@lists.debian.org, 346282@bugs.debian.org, 346282-submitter@bugs.debian.org
Subject: Re: Bug#346282: fixed
Date: Sun, 17 Sep 2006 22:39:52 -0400
On Sun, Sep 17, 2006 at 04:48:54PM +0200, allomber@math.u-bordeaux.fr wrote:
> found 346282 2.0.3-6
> quit
> On Wed, Jul 19, 2006 at 12:51:15AM +0200, Rene Engelhard wrote:
> > 
> > Hi,
> > 
> > looks fixed. will be in the next packages.
> 
> Hello Rene,
> 
> I just checked and the bug still occur with 2.0.3-6:
> 
>    Setting up openoffice.org-common (2.0.3-6) ...
> 
>    Configuration file `/etc/openoffice/psprint.conf'
>     ==> Deleted (by you or by a script) since installation.
>     ==> Package distributor has shipped an updated version.
>       What would you like to do about it ?  Your options are:
> 
> It seems dpkg (1.13.21) behaviour has changed since the bug was reported
> and now it follows packages rename for conffiles. This mean it detects
> we removed it and display that note.
> 
> This is very annoying because we do not know which version of dpkg
> will be used and they have opposed behaviour in that case.
> 
> I don't if Depends: dpkg (>=1.13.21) would do any good either.
This might be useful, but only as a Pre-Dep, which is discouraged, as it can
make the package uninstallable (on a machine, not in the distribution "suite").

Justin



Information stored:
Bug#346282; Package openoffice.org-common. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug#346282. Full text and rfc822 format available.

Bug Marked as fixed in versions openoffice.org/1:2.4.1-6. Request was from Henri Le Foll <bugs@lefoll.eu> to control@bugs.debian.org. (Tue, 08 Feb 2011 19:21:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Mar 2011 07:35:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:31:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.